/*
 * Decompiled with CFR 0.152.
 */
package fire.pb.school;

import fire.pb.school.SchoolConst;

public enum School {
    WARRIOR(SchoolConst.WARRIOR, SchoolConst.WARRIOR_SHOUXI),
    PRIEST(SchoolConst.PRIEST, SchoolConst.PRIEST_SHOUXI),
    PALADIN(SchoolConst.PALADIN, SchoolConst.PALADIN_SHOUXI),
    HUNTER(SchoolConst.HUNTER, SchoolConst.HUNTER_SHOUXI),
    WARLOCK(SchoolConst.WARLOCK, SchoolConst.WARLOCK_SHOUXI),
    SAMAN(SchoolConst.SAMAN, SchoolConst.SAMAN_SHOUXI),
    MAGIC(SchoolConst.MAGIC, SchoolConst.MAGIC_SHOUXI),
    ROGUE(SchoolConst.ROGUE, SchoolConst.ROGUE_SHOUXI),
    DRUID(SchoolConst.DRUID, SchoolConst.DRUID_SHOUXI);

    private int value;
    private int npcid;

    private School(int value, int npcid) {
        this.value = value;
        this.npcid = npcid;
    }

    public int getValue() {
        return this.value;
    }

    public int getNpcid() {
        return this.npcid;
    }

    public static School getSchoolByNpcid(int npcID) {
        for (School school : School.values()) {
            if (school.npcid != npcID) continue;
            return school;
        }
        return null;
    }

    public static School getSchoolBySchoolid(int schoolid) {
        for (School school : School.values()) {
            if (school.value != schoolid) continue;
            return school;
        }
        return null;
    }

    public static int getShouxiTitleid(School school) {
        switch (school) {
            case WARRIOR: {
                return SchoolConst.WARRIOR_SHOUXI_TITLE;
            }
            case PRIEST: {
                return SchoolConst.PRIEST_SHOUXI_TITLE;
            }
            case PALADIN: {
                return SchoolConst.PALADIN_SHOUXI_TITLE;
            }
            case HUNTER: {
                return SchoolConst.HUNTER_SHOUXI_TITLE;
            }
            case WARLOCK: {
                return SchoolConst.WARLOCK_SHOUXI_TITLE;
            }
            case SAMAN: {
                return SchoolConst.SAMAN_SHOUXI_TITLE;
            }
            case MAGIC: {
                return SchoolConst.MAGIC_SHOUXI_TITLE;
            }
            case ROGUE: {
                return SchoolConst.ROGUE_SHOUXI_TITLE;
            }
            case DRUID: {
                return SchoolConst.DRUID_SHOUXI_TITLE;
            }
        }
        return 0;
    }

    public static int getBattleNpc(School school) {
        switch (school) {
            case WARRIOR: {
                return 30980;
            }
            case PRIEST: {
                return 30981;
            }
            case PALADIN: {
                return 30987;
            }
            case HUNTER: {
                return 30985;
            }
            case WARLOCK: {
                return 30999;
            }
            case SAMAN: {
                return 30983;
            }
            case MAGIC: {
                return 30982;
            }
            case ROGUE: {
                return 30995;
            }
            case DRUID: {
                return 30990;
            }
        }
        return 0;
    }

    public static School getSchoolByBattleNpc(int battleNpcid) {
        switch (battleNpcid) {
            case 30980: {
                return WARRIOR;
            }
            case 30981: {
                return PRIEST;
            }
            case 30987: {
                return PALADIN;
            }
            case 30985: {
                return HUNTER;
            }
            case 30999: {
                return WARLOCK;
            }
            case 30983: {
                return SAMAN;
            }
            case 30982: {
                return MAGIC;
            }
            case 30995: {
                return ROGUE;
            }
            case 30990: {
                return DRUID;
            }
        }
        return null;
    }

    public static School getSchoolByFighterWinner(int battleid) {
        switch (battleid) {
            case 161803: {
                return WARRIOR;
            }
            case 161902: {
                return PRIEST;
            }
            case 162102: {
                return PALADIN;
            }
            case 162002: {
                return HUNTER;
            }
            case 169202: {
                return WARLOCK;
            }
            case 169102: {
                return SAMAN;
            }
            case 161702: {
                return MAGIC;
            }
            case 169002: {
                return ROGUE;
            }
            case 162202: {
                return DRUID;
            }
        }
        return null;
    }

    public static School getSchoolByFighterConfigWinner(int configid) {
        switch (configid) {
            case 3094: 
            case 161803: {
                return WARRIOR;
            }
            case 3095: 
            case 161902: {
                return PRIEST;
            }
            case 3097: 
            case 162102: {
                return PALADIN;
            }
            case 3096: 
            case 162002: {
                return HUNTER;
            }
            case 3101: 
            case 169202: {
                return WARLOCK;
            }
            case 3100: 
            case 169102: {
                return SAMAN;
            }
            case 3093: 
            case 161702: {
                return MAGIC;
            }
            case 3099: 
            case 169002: {
                return ROGUE;
            }
            case 3098: 
            case 162202: {
                return DRUID;
            }
        }
        return null;
    }

    public static int getBattleIdBySchool(School school) {
        switch (school) {
            case MAGIC: {
                return 3105;
            }
            case WARRIOR: {
                return 3106;
            }
            case PRIEST: {
                return 3107;
            }
            case HUNTER: {
                return 3108;
            }
            case PALADIN: {
                return 3109;
            }
            case DRUID: {
                return 3110;
            }
            case ROGUE: {
                return 3111;
            }
            case SAMAN: {
                return 3112;
            }
            case WARLOCK: {
                return 3113;
            }
        }
        return 0;
    }

    public static int getTitleIdBySchool(int level, int sex, School school) {
        int malebaseid = 25;
        int femalebaseid = 49;
        switch (school) {
            case WARRIOR: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 0;
                }
                return femalebaseid + 8 * (level - 1) + 0;
            }
            case PRIEST: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 6;
                }
                return femalebaseid + 8 * (level - 1) + 6;
            }
            case PALADIN: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 1;
                }
                return femalebaseid + 8 * (level - 1) + 1;
            }
            case HUNTER: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 2;
                }
                return femalebaseid + 8 * (level - 1) + 2;
            }
            case WARLOCK: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 7;
                }
                return femalebaseid + 8 * (level - 1) + 7;
            }
            case SAMAN: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 1;
                }
                return femalebaseid + 8 * (level - 1) + 1;
            }
            case MAGIC: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 5;
                }
                return femalebaseid + 8 * (level - 1) + 5;
            }
            case ROGUE: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 4;
                }
                return femalebaseid + 8 * (level - 1) + 4;
            }
            case DRUID: {
                if (sex == 1) {
                    return malebaseid + 8 * (level - 1) + 3;
                }
                return femalebaseid + 8 * (level - 1) + 3;
            }
        }
        return 0;
    }
}

